## ros-std-msgs 0.5.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(std_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation)

add_message_files(
  DIRECTORY msg
  FILES
  Bool.msg
  Byte.msg
  ByteMultiArray.msg
  Char.msg
  ColorRGBA.msg
  Duration.msg
  Empty.msg
  Float32.msg
  Float32MultiArray.msg
  Float64.msg
  Float64MultiArray.msg
  Header.msg
  Int16.msg
  Int16MultiArray.msg
  Int32.msg
  Int32MultiArray.msg
  Int64.msg
  Int64MultiArray.msg
  Int8.msg
  Int8MultiArray.msg
  MultiArrayDimension.msg
  MultiArrayLayout.msg
  String.msg
  Time.msg
  UInt16.msg
  UInt16MultiArray.msg
  UInt32.msg
  UInt32MultiArray.msg
  UInt64.msg
  UInt64MultiArray.msg
  UInt8.msg
  UInt8MultiArray.msg
)

generate_messages()

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS message_runtime)

install(DIRECTORY include/std_msgs/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN "*.h")

## ros-std-msgs 0.5.9

=== debian/changelog ===
ros-std-msgs (0.5.9-2) unstable; urgency=medium

  * Convert to new catkin with multiarch
  * Adopt to {ros-}message-{generation,runtime}

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 18:49:12 +0100

ros-std-msgs (0.5.9-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update packing copyright
  * Add lintion-overrides
  * Split into C++/Python/LISP packages
  * Update run dependecies
  * Update dependencies
  * Add watch file
  * Fix copyright year
  * Add catkin build dependency
  * Initial release (Closes: #804038)

  [ Leopold Palomo-Avellaneda ]
  * Updated Uploaders and Maintainer field
  * Added VCS fields
  * Updated copyright
  * Updated Python dependencies
  * Updated Description field

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 18 Nov 2015 22:37:21 +0000

=== debian/control ===
Source: ros-std-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), ros-message-generation, catkin (>> 0.6.16-2), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
Standards-Version: 3.9.6
Homepage: http://wiki.ros.org/std_msgs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-std-msgs.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-std-msgs.git

Package: libstd-msgs-dev
Architecture: all
Depends: ${misc:Depends}, ros-message-runtime
Description: C/C++ headers for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains development C++
 headers for the ROS std_msgs library. This library provides wrappers
 for ROS primitive types, which are documented in the msg
 specification. It also contains the Empty type, which is useful for
 sending an empty signal.

Package: python-std-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python interface for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains the python
 interface to libstd-msgs, which contains wrappers for ROS primitive
 types, which are documented in the msg specification. It also
 contains the Empty type, which is useful for sending an empty signal.

Package: cl-std-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: LISP interface for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains the LISP
 interface for libstd-msgs, which contains wrappers for ROS primitive
 types, which are documented in the msg specification. It also
 contains the Empty type, which is useful for sending an empty signal.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel --buildsystem=cmake --with python2

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/std_msgs-$1\.tar\.gz/ \
  https://github.com/ros/std_msgs/releases .*/v?(\d\S*)\.tar\.gz

## ros-std-msgs 0.5.10

=== debian/changelog ===
ros-std-msgs (0.5.10-3) unstable; urgency=medium

  [ Daniele E. Domenichelli ]
  * Move message definitions in ros-std-msgs package. (Closes: #833383)

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 08:49:26 +0200

ros-std-msgs (0.5.10-2) unstable; urgency=medium

  * Rebuild because of a change in ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 12 Jul 2016 07:49:57 +0200

ros-std-msgs (0.5.10-1) unstable; urgency=medium

  * Imported Upstream version 0.5.10

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 19 Jun 2016 09:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,24 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), ros-message-generation, catkin (>> 0.6.16-2), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://wiki.ros.org/std_msgs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-std-msgs.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-std-msgs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
+
+Package: ros-std-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}
+Description: Message definitions for Standard Robot OS Messages
+ This package is part of Robot OS (ROS). It contains message
+ definitions for the ROS std_msgs library, which contains wrappers for
+ ROS primitive types, which are documented in the msg specification. It
+ also contains the Empty type, which is useful for sending an empty
+ signal.
 
 Package: libstd-msgs-dev
 Architecture: all

## ros-std-msgs 0.5.11

=== debian/changelog ===
ros-std-msgs (0.5.11-1) unstable; urgency=medium

  * add Multi-Arch according to hinter
  * New upstream version 0.5.11
  * Update policy and debhelper versions
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Jul 2017 07:34:59 +0200

ros-std-msgs (0.5.10-4) unstable; urgency=medium

  * Remove lintian override, fixed in lintian 2.5.47
  * Rebuild due to changes in ros-genpy.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 19:38:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), ros-message-generation, catkin (>> 0.6.16-2), python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), ros-message-generation, catkin, python-setuptools, python-all (>= 2.6.6-3), dh-python
+Standards-Version: 4.0.0
 Homepage: http://wiki.ros.org/std_msgs
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
@@ -14,6 +14,7 @@
 Package: ros-std-msgs
 Section: devel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Message definitions for Standard Robot OS Messages
  This package is part of Robot OS (ROS). It contains message
@@ -37,7 +38,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Description: Python interface for Standard Robot OS Messages
- This package is part of Robot OS (ROS). It contains the python
+ This package is part of Robot OS (ROS). It contains the Python
  interface to libstd-msgs, which contains wrappers for ROS primitive
  types, which are documented in the msg specification. It also
  contains the Empty type, which is useful for sending an empty signal.
@@ -45,6 +46,7 @@
 Package: cl-std-msgs
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: LISP interface for Standard Robot OS Messages
  This package is part of Robot OS (ROS). It contains the LISP

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --with python2

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-std-msgs-$1.tar.gz%" \
    https://github.com/ros/std_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-std-msgs 0.5.12

=== debian/changelog ===
ros-std-msgs (0.5.12-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938402)
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:09:00 +0200

ros-std-msgs (0.5.12-1) unstable; urgency=medium

  * New upstream version 0.5.12
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 01 Aug 2019 18:25:02 +0200

ros-std-msgs (0.5.11-5) unstable; urgency=medium

  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 17:31:47 +0200

ros-std-msgs (0.5.11-4) unstable; urgency=medium

  * Make libstd-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 13:10:43 +0200

ros-std-msgs (0.5.11-3) unstable; urgency=medium

  * Add Python 3 package
  * Fix Lintian warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 13:07:07 +0200

ros-std-msgs (0.5.11-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Rebuild against new ros-gencpp

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Apr 2018 10:00:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10), ros-message-generation, catkin, python-setuptools, python-all (>= 2.6.6-3), dh-python
-Standards-Version: 4.0.0
-Homepage: http://wiki.ros.org/std_msgs
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-std-msgs.git
+Build-Depends: debhelper-compat (= 12), ros-message-generation, catkin, python3-setuptools, python3-all, dh-python
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/std_msgs
+Vcs-Browser: https://salsa.debian.org/science-team/ros-std-msgs
+Vcs-Git: https://salsa.debian.org/science-team/ros-std-msgs.git
 
 Package: ros-std-msgs
 Section: devel
@@ -24,7 +25,8 @@
  signal.
 
 Package: libstd-msgs-dev
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ros-message-runtime
 Description: C/C++ headers for Standard Robot OS Messages
  This package is part of Robot OS (ROS). It contains development C++
@@ -33,15 +35,17 @@
  specification. It also contains the Empty type, which is useful for
  sending an empty signal.
 
-Package: python-std-msgs
+Package: python3-std-msgs
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Description: Python interface for Standard Robot OS Messages
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: Python 3 interface for Standard Robot OS Messages
  This package is part of Robot OS (ROS). It contains the Python
  interface to libstd-msgs, which contains wrappers for ROS primitive
  types, which are documented in the msg specification. It also
  contains the Empty type, which is useful for sending an empty signal.
+ .
+ This package contains the Python 3 module.
 
 Package: cl-std-msgs
 Section: lisp

## ros-std-msgs 0.5.13

=== debian/changelog ===
ros-std-msgs (0.5.13-4) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 23:20:27 +0200

ros-std-msgs (0.5.13-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop unused python3-all dependency for cross compiling
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 19:59:49 +0200

ros-std-msgs (0.5.13-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:06:30 +0100

ros-std-msgs (0.5.13-1) unstable; urgency=medium

  * New upstream version 0.5.13
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 15:14:44 +0200

=== debian/control ===
Source: ros-std-msgs
Section: libdevel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 python3-setuptools,
 ros-message-generation,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/std_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-std-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-std-msgs.git

Package: ros-std-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Message definitions for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains message
 definitions for the ROS std_msgs library, which contains wrappers for
 ROS primitive types, which are documented in the msg specification. It
 also contains the Empty type, which is useful for sending an empty
 signal.

Package: cl-std-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: LISP interface for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains the LISP
 interface for libstd-msgs, which contains wrappers for ROS primitive
 types, which are documented in the msg specification. It also
 contains the Empty type, which is useful for sending an empty signal.

Package: libstd-msgs-dev
Architecture: any
Multi-Arch: same
Depends:
 ros-message-runtime,
 ${misc:Depends},
Description: C/C++ headers for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains development C++
 headers for the ROS std_msgs library. This library provides wrappers
 for ROS primitive types, which are documented in the msg
 specification. It also contains the Empty type, which is useful for
 sending an empty signal.

Package: python3-std-msgs
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 interface for Standard Robot OS Messages
 This package is part of Robot OS (ROS). It contains the Python
 interface to libstd-msgs, which contains wrappers for ROS primitive
 types, which are documented in the msg specification. It also
 contains the Empty type, which is useful for sending an empty signal.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-std-msgs-$1.tar.gz%" \
    https://github.com/ros/std_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-std-msgs 0.5.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(std_msgs)
 
 find_package(catkin REQUIRED COMPONENTS message_generation)

=== debian/changelog ===
ros-std-msgs (0.5.14-1) unstable; urgency=medium

  * New upstream version 0.5.14
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Aug 2025 15:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
- catkin,
  debhelper-compat (= 13),
  dh-ros,
  dh-sequence-python3,
+ catkin,
  python3-setuptools,
  ros-message-generation,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/std_msgs
 Vcs-Browser: https://salsa.debian.org/science-team/ros-std-msgs
